{% include 'admin-layout.html' %}
{% from 'bootstrap/form.html' import render_form, render_field, render_form_row %}
{% block content %}


<div class="container-fluid">
  <div class="row">

    <div class="col-6 mb-4">

      <!-- Approach -->
      <div class="card shadow mb-4">
        <div class="card-header py-3">
          <h6 class="m-0 font-weight-bold text-primary">Training Parameters</h6>
        </div>
        <div class="card-body">
          {{ render_form(training_var_form) }}
        </div>
        
      </div>
    </div>
    <div class="col-6 mb-4">
      <div class="card shadow mb-4">
        <div class="card-header py-3">
          <h6 class="m-0 font-weight-bold text-primary">Training Status</h6>
        </div>
        <div class="card-body">
          {{ render_form(trainingStatusForm) }}
        </div>
      </div>

      <div class="card shadow mb-4  h-50">
        <div class="card-header py-3">
          <h6 class="m-0 font-weight-bold text-primary">Current parameters</h6>
        </div>
        <div class="card-body ">
          <textarea class="form-control" style="height:100%;">{{ current_para }}</textarea>
        </div>
      </div>


      
    </div>

    
  </div>
  <div class="row">
    <div class="col-12 mb-4">
      <div class="card shadow mb-4">
        
        <div class="card-body">
          <button type="button" id="startBtn" class="btn btn-warning btn-block">Start Training</button>
        </div>
        
      </div>
      
    </div>
    
  </div>
</div>

{% endblock %}
<!-- Bootstrap core JavaScript-->
<script src="static/vendor/jquery/jquery.min.js"></script>
<script src="static/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

<!-- Core plugin JavaScript-->
<script src="static/vendor/jquery-easing/jquery.easing.min.js"></script>

<!-- Custom scripts for all pages-->
<script src="static/js/sb-admin-2.min.js"></script>
<script src="static/js/scripts.js"></script>

</body>